version: '3.0'
services:
  clientapi:
    build:
      context: clientapi/.
      args:
        workdir: '/flask'
    privileged: true
    restart: unless-stopped
    ports:
      - '8805:80'
    volumes:
      - flask_dev:/flask
      - mvp_applicationlogs:/applicationlogs
    networks:
      - flask_default
  apiengagement:
    build:
      context: apiengagement/.
      args:
        workdir: '/flask'
    privileged: true
    restart: unless-stopped
    ports:
      - '8813:80'
    volumes:
      - flask_dev:/flask
      - mvp_applicationlogs:/applicationlogs
    networks:
      - flask_default
  apiauthorization:
    build:
      context: apiauthorization/.
      args:
        workdir: '/flask'
    privileged: true
    restart: unless-stopped
    ports:
      - '8816:80'
    volumes:
      - flask_dev:/flask
      - mvp_applicationlogs:/applicationlogs
    networks:
      - flask_default
  apidataexplorer:
    build:
      context: apidataexplorer/.
      args:
        workdir: '/flask'
    privileged: true
    restart: unless-stopped
    ports:
      - '8803:80'
    volumes:
      - flask_dev:/flask
      - mvp_applicationlogs:/applicationlogs
    networks:
      - flask_default
  apidatacartridge:
    build:
      context: apidatacartridge/.
      args:
        workdir: '/flask'
    privileged: true
    restart: unless-stopped
    ports:
      - '8814:80'
    volumes:
      - flask_dev:/flask
      - mvp_applicationlogs:/applicationlogs
    networks:
      - flask_default
  apidatacatalog:
    build:
      context: apidatacatalog/.
      args:
        workdir: '/flask'
    privileged: true
    restart: unless-stopped
    ports:
      - '8804:80'
    volumes:
      - flask_dev:/flask
      - mvp_applicationlogs:/applicationlogs
    networks:
      - flask_default
  apilearningnotebooks:
    build:
      context: apilearningnotebooks/.
      args:
        workdir: '/flask'
    privileged: true
    restart: unless-stopped
    ports:
      - '8817:80'
    volumes:
      - flask_dev:/flask
      - ~/.aws:/var/www/.aws
      - /var/www/nb-images:/var/www/nb-images
      - /var/run/docker.sock:/var/run/docker.sock
    networks:
      - flask_default
  apiaipipeline:
    build:
      context: apiaipipeline/.
      args:
        workdir: '/flask'
    privileged: true
    restart: unless-stopped
    ports:
      - '8818:80'
    volumes:
      - flask_dev:/flask
    networks:
      - flask_default
  apidatastore:
    build:
      context: apidatastore/.
      args:
        workdir: '/flask'
    privileged: true
    restart: unless-stopped
    ports:
      - '8022:80'
    volumes:
      - flask_dev:/flask
    networks:
      - flask_default
  apiclient:
    build:
      context: apiclient/.
      args:
        workdir: '/flask'
    privileged: true
    restart: unless-stopped
    ports:
      - '8021:80'
    volumes:
      - flask_dev:/flask
    networks:
      - flask_default
  apidatapipeline:
    build:
      context: apidatapipeline/.
      args:
        workdir: '/flask'
    privileged: true
    restart: unless-stopped
    ports:
      - '8819:80'
    volumes:
      - flask_dev:/flask
      - mvp_applicationlogs:/applicationlogs
    networks:
      - flask_default
networks:
  flask_default:
volumes:
  flask_dev:
  aws_featureapi:
  mvp_applicationlogs:
